Bug 657230 - Interface can not get IP with error "Determining IP information for eth1...RTNETLINK answers: Cannot assign requested address"
Interface can not get IP with error "Determining IP information for eth1...RT...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-25 04:37 EST by wangyimiao
Modified: 2012-06-07 10:02 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 10:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description wangyimiao 2010-11-25 04:37:09 EST
Description of problem:
Interface can not get IP after attach it to RHEL6 guest

Version-Release number of selected component (if applicable):
libvirt-client-0.8.4-3.fc15.x86_64
libvirt-0.8.4-3.fc15.x86_64
qemu-kvm-0.13.0-0.7.rc1.fc14.x86_64
qemu-img-0.13.0-0.7.rc1.fc14.x86_64
kernel-2.6.36.1-7.rc1.fc15.x86_64

How reproducible:
5/5

Steps to Reproduce:

1.Start a RHEL6-RC4 guest
# setenforce 0
# virsh start rh6
Domain rh6 started

2.Attach a interface to the guest.
# virsh attach-interface rh6 network default --mac=52:54:00:e1:34:f2
Interface attached successfully

3.log in guest domain and config a valid network configure file.
 a)#ip link
.............................
3: eth1: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN qlen 1000
    link/ether 00:00:00:00:00:00 brd ff:ff:ff:ff:ff:ff
..............................
  b)config a valid configure file under the path"/etc/sysconfig/network-scripts".
  
  c)#service network restart
.............................
Bringing up interface eth1:  
Determining IP information for eth1...RTNETLINK answers: Cannot assign requested address"
...............................

Actual results:
Interface can not get IP with error "Determining IP information for eth2...RTNETLINK answers: Cannot assign requested address"

Expected results:
After attach interface to guest, interface will get IP successfully and works fine.
Comment 1 wangyimiao 2010-11-25 04:42:26 EST
Actual results:
Interface can not get IP with error "Determining IP information for
eth1...RTNETLINK answers: Cannot assign requested address"

Expected results:
After attach interface to guest, interface will get IP successfully and works
fine.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:50:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:53:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 13:58:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:31:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 14:34:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 14:41:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 14:52:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Cole Robinson 2012-06-07 10:02:07 EDT
Sorry for the lack of response, but given the age of this bug, closing as WONTFIX.

wangyimiao (or anyone), if you can still reproduce with a more recent Fedora,
please reopen this report and we can go from there.

Note You need to log in before you can comment on or make changes to this bug.